kind: Deployment
apiVersion: apps/v1
metadata:
  name: calculator
spec:
  replicas: 2
  selector:
    matchLabels:
      app: calculator
  template:
    metadata:
      labels:
        app: calculator
    spec:
      containers:
        - name: calculator
          image: registry.gitlab.com/pedro.gomes.int/internship:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 8000
              protocol: TCP
      imagePullSecrets: 
        - name: gitlab-auth
---
kind: Service
apiVersion: v1
metadata:
  name: calculator
spec:
  type: NodePort
  ports:
    - port: 80
      targetPort: 8000
      protocol: TCP
      nodePort: 31000
  selector:
    app: calculator
